[ CCUnit project page ] |  | [ CCUnit home page ]

Functions | Variables

# _PrintSuite
[MakeSuite]

Collaboration diagram for _PrintSuite:

## Functions
static void | printPrototype (FILE *ofp, const char *type, _CCUnitFuncDef *fdef)
| print function prototype.
static void | printPrototypes (FILE *ofp, _CCUnitTestSuiteDef *suitedef)
| print test suite/fixture prototypes.
static void | printTestFunc (FILE *ofp, _CCUnitFuncDef *fndef)
static void | printFixture (FILE *ofp, _CCUnitTestFixtureDef *fxdef)
| print test fixture adding function.
static void | printSuite (FILE *ofp, const char *name, _CCUnitTestSuiteDef *suite)
| print test suite adding function.
void | ccunit_printSuite (FILE *ofp, const char *name, _CCUnitTestSuiteDef *suite)
| output test suite making function code.
## Variables
static const char * | ccunitTypeNames []
| CCUnitTestType_t name string.

## Function Documentation

void ccunit_printSuite | ( | FILE * | ofp,
|  | const char * | name,
|  | _CCUnitTestSuiteDef * | suite |
| ) |  |  |

output test suite making function code.

Parameters:

  | ofp | output stream.
  | name | add function name.
  | suite | test suite to print.

References _CCUnitTestDef::idname, printPrototypes(), printSuite(), and _CCUnitTestSuiteDef::testdef.

Here is the call graph for this function:

static void printFixture | ( | FILE * | ofp,
|  | _CCUnitTestFixtureDef * | fxdef |
| ) |  |  | `[static]`

print test fixture adding function.

Parameters:

  | ofp | output stream.
  | fxdef | test suite to print.

References ccunit_initListIterator(), ccunit_nextListIterator(), ccunitTypeNames, _CCUnitTestDef::idname, _CCUnitTestDef::name, printTestFunc(), _CCUnitTestFixtureDef::setUp, _CCUnitTestFixtureDef::setup_setUp, _CCUnitTestFixtureDef::setup_tearDown, _CCUnitTestFixtureDef::tearDown, _CCUnitTestFixtureDef::testCases, _CCUnitTestFixtureDef::testdef, and _CCUnitTestDef::type.

Referenced by printSuite().

Here is the call graph for this function:

Here is the caller graph for this function:

static void printPrototype | ( | FILE * | ofp,
|  | const char * | type,
|  | _CCUnitFuncDef * | fdef |
| ) |  |  | `[static]`

print function prototype.

Parameters:

  | ofp | output stream.
  | type | function type; ctor, dtor, setUp, tearDown, testCase.
  | fdef | funcdef object to print.

References ccunit_log(), _CCUnitFuncDef::desc, _CCUnitFuncDef::name, _CCUnitFuncDef::scope, and _CCUnitFuncDef::type.

Referenced by printPrototypes().

Here is the call graph for this function:

Here is the caller graph for this function:

static void printPrototypes | ( | FILE * | ofp,
|  | _CCUnitTestSuiteDef * | suitedef |
| ) |  |  | `[static]`

print test suite/fixture prototypes.

Parameters:

  | ofp | output stream.
  | suitedef | test suite object to print.

References ccunit_initListIterator(), ccunit_log(), ccunit_nextListIterator(), ccunitTypeFixture, ccunitTypeSuite, _CCUnitTestDef::name, printPrototype(), _CCUnitTestFixtureDef::setUp, _CCUnitTestFixtureDef::setup_setUp, _CCUnitTestFixtureDef::setup_tearDown, _CCUnitTestFixtureDef::tearDown, _CCUnitTestFixtureDef::testCases, _CCUnitTestFixtureDef::testdef, _CCUnitTestSuiteDef::testdefs, and _CCUnitTestDef::type.

Referenced by ccunit_printSuite().

Here is the call graph for this function:

Here is the caller graph for this function:

static void printSuite | ( | FILE * | ofp,
|  | const char * | name,
|  | _CCUnitTestSuiteDef * | suite |
| ) |  |  | `[static]`

print test suite adding function.

Parameters:

  | ofp | output stream.
  | name | function name.
  | suite | test suite to print.

References ccunit_initListIterator(), ccunit_nextListIterator(), ccunitTypeFixture, ccunitTypeNames, ccunitTypeSuite, _CCUnitTestDef::idname, _CCUnitTestDef::name, printFixture(), _CCUnitTestSuiteDef::testdef, _CCUnitTestSuiteDef::testdefs, and _CCUnitTestDef::type.

Referenced by ccunit_printSuite().

Here is the call graph for this function:

Here is the caller graph for this function:

static void printTestFunc | ( | FILE * | ofp,
|  | _CCUnitFuncDef * | fndef |
| ) |  |  | `[inline, static]`

References _CCUnitFuncDef::desc, and _CCUnitFuncDef::name.

Referenced by printFixture().

Here is the caller graph for this function:

## Variable Documentation

const char* ccunitTypeNames[]`[static]`

Initial value:

     {
      "ccunitTypeTest",
      "ccunitTypeSuite",
      "ccunitTypeFixture",
      "ccunitTypeCase",
    }

CCUnitTestType_t name string.

Referenced by printFixture(), and printSuite().

| hosts this site. |  | Send comments to: CCUnit Developer |